Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.dom
Class CharacterDataImpl

    java.lang.Object
      org.exist.dom.NodeImpl
          org.exist.dom.StoredNode
              org.exist.dom.CharacterDataImpl

All Implemented Interfaces:
  org.w3c.dom.CharacterData, org.w3c.dom.Node, QNameable, Visitable

Direct Known Subclasses:
  CDATASectionImpl, CommentImpl, TextImpl

public class CharacterDataImpl
extends StoredNode
implements org.w3c.dom.CharacterData

Field Summary

Fields inherited from class org.exist.dom.StoredNode
`UNKNOWN_NODE_IMPL_ADDRESS`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`CharacterDataImpl(short nodeType)`
`CharacterDataImpl(short nodeType, char[] data, int start, int howmany)`
`CharacterDataImpl(short nodeType, NodeId nodeId)`
`CharacterDataImpl(short nodeType, NodeId nodeId, java.lang.String data)`
`CharacterDataImpl(short nodeType, java.lang.String data)`

Method Summary
`void` | `appendData(char[] data, int start, int howmany)`
`void` | `appendData(java.lang.String arg)`
`void` | `clear()` Reset this object to its initial state.
`void` | `deleteData(int offset, int count)`
`java.lang.String` | `getData()`
`int` | `getLength()`
`java.lang.String` | `getLowerCaseData()`
`java.lang.String` | `getNodeValue()`
`XMLString` | `getXMLString()`
`void` | `insertData(int offset, java.lang.String arg)`
`void` | `release()` Release all resources hold by this object.
`void` | `replaceData(int offset, int count, java.lang.String arg)`
`void` | `setData(char[] data, int start, int howmany)`
`void` | `setData(java.lang.String data)`
`void` | `setData(XMLString data)`
`java.lang.String` | `substringData(int offset, int count)`
`java.lang.String` | `toString()`

Methods inherited from class org.exist.dom.StoredNode
`accept, accept, deserialize, deserialize, equals, getBroker, getDocId, getInternalAddress, getNextSibling, getNodeId, getNodeType, getOwnerDocument, getParentNode, getPath, getPreviousSibling, getQName, serialize, setInternalAddress, setNodeId, setOwnerDocument, toString`

Methods inherited from class org.exist.dom.NodeImpl
`appendChild, appendChildren, cloneNode, compareDocumentPosition, getAttributes, getAttributesCount, getBaseURI, getChildCount, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNodeName, getPrefix, getTextContent, getUserData, hasAttributes, hasChildNodes, insertAfter, insertAfter, insertBefore, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, removeChild, replaceChild, replaceChild, setAttributes, setNodeName, setNodeValue, setPrefix, setTextContent, setUserData, supports, updateChild, updateChild`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Constructor Detail

### CharacterDataImpl

    public CharacterDataImpl(short nodeType)

### CharacterDataImpl

    public CharacterDataImpl(short nodeType,
                             NodeId nodeId)

### CharacterDataImpl

    public CharacterDataImpl(short nodeType,
                             NodeId nodeId,
                             java.lang.String data)

### CharacterDataImpl

    public CharacterDataImpl(short nodeType,
                             java.lang.String data)

### CharacterDataImpl

    public CharacterDataImpl(short nodeType,
                             char[] data,
                             int start,
                             int howmany)

Method Detail

### clear

    public void clear()

  Description copied from class: `StoredNode`
  Reset this object to its initial state. Required by the parser to be able to reuse node objects.

  Overrides:
    `clear` in class `StoredNode`

### appendData

    public void appendData(java.lang.String arg)
                    throws org.w3c.dom.DOMException

  Specified by:
    `appendData` in interface `org.w3c.dom.CharacterData`
  Throws:
    `org.w3c.dom.DOMException`

### appendData

    public void appendData(char[] data,
                           int start,
                           int howmany)
                    throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### deleteData

    public void deleteData(int offset,
                           int count)
                    throws org.w3c.dom.DOMException

  Specified by:
    `deleteData` in interface `org.w3c.dom.CharacterData`
  Throws:
    `org.w3c.dom.DOMException`

### getData

    public java.lang.String getData()
                             throws org.w3c.dom.DOMException

  Specified by:
    `getData` in interface `org.w3c.dom.CharacterData`
  Throws:
    `org.w3c.dom.DOMException`

### getXMLString

    public XMLString getXMLString()

### getLowerCaseData

    public java.lang.String getLowerCaseData()
                                      throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### getLength

    public int getLength()

  Specified by:
    `getLength` in interface `org.w3c.dom.CharacterData`

### getNodeValue

    public java.lang.String getNodeValue()

  Specified by:
    `getNodeValue` in interface `org.w3c.dom.Node`
  Overrides:
    `getNodeValue` in class `NodeImpl`
  See Also:
    `Node.getNodeValue()`

### insertData

    public void insertData(int offset,
                           java.lang.String arg)
                    throws org.w3c.dom.DOMException

  Specified by:
    `insertData` in interface `org.w3c.dom.CharacterData`
  Throws:
    `org.w3c.dom.DOMException`

### replaceData

    public void replaceData(int offset,
                            int count,
                            java.lang.String arg)
                     throws org.w3c.dom.DOMException

  Specified by:
    `replaceData` in interface `org.w3c.dom.CharacterData`
  Throws:
    `org.w3c.dom.DOMException`

### setData

    public void setData(java.lang.String data)
                 throws org.w3c.dom.DOMException

  Specified by:
    `setData` in interface `org.w3c.dom.CharacterData`
  Throws:
    `org.w3c.dom.DOMException`

### setData

    public void setData(XMLString data)
                 throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### setData

    public void setData(char[] data,
                        int start,
                        int howmany)
                 throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### substringData

    public java.lang.String substringData(int offset,
                                          int count)
                                   throws org.w3c.dom.DOMException

  Specified by:
    `substringData` in interface `org.w3c.dom.CharacterData`
  Throws:
    `org.w3c.dom.DOMException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `StoredNode`

### release

    public void release()

  Release all resources hold by this object.

  Overrides:
    `release` in class `StoredNode`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.